Subject: Re: [PATCH v6 02/10] replace: add --graft option

From: Junio C Hamano <[email-masked]>
Date: Fri, 11 Jul 2014 11:25:43 -0700

Christian Couder <[email-masked]> writes:

> On Fri, Jul 11, 2014 at 4:22 PM, Junio C Hamano <[email-masked]> wrote:
>> Christian Couder <[email-masked]> writes:
>>
>>> On Thu, Jul 10, 2014 at 7:36 PM, Junio C Hamano <[email-masked]> wrote:
>>>
>>>>> "Making sure A's parent is B" would be an
>>>>> idempotent operation, no?  Why not just make sure A's parent is
>>>>> already B and report "Your wish has been granted" to the user?
>>>
>>> ... and here you say we should report "your wish has been granted"...
>>
>> Normal way for "git replace" to report that is to exit with status 0
>> and without any noise, I would think.
>
> In a similar case "git replace --edit" we error out instead of just
> exiting (with status 0), see:
>
> f22166b5fee7dc (replace: make sure --edit results in a different object)

I do not care *too* deeply, but if you ask me, that may be a mistake
we may want to fix before the next release.